apiVersion: triggers.tekton.dev/v1alpha1
kind: EventListener
metadata:
  name: eventlistener-gitlab-docker
  namespace: {{ namespace }}
spec:
  serviceAccountName: {{ trigger_sa }}
  triggers:
  - name: gitlab-listener
    interceptors:
    - gitlab:
        eventTypes:
        - Push Hook
{% if bc_secret | default(False) %}
        secretRef:
          secretName: {{ bc_secret }}
          secretKey: username
{% endif %}
    - cel:
        filter: "body.project.git_ssh_url.matches('docker-')"
    - cel:
        filter: "body.object_kind == 'push'"
        overlays:
        - key: extensions.branch
          expression: "body.ref.split('/')[size(body.ref.split('/')) - 1]"
        - key: extensions.reponame
          expression: "body.project.web_url.split('/')[size(body.project.web_url.split('/')) - 1]"
    bindings:
    - kind: TriggerBinding
      ref: gitlab
    template:
      ref: docker
